/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_GDBSERIAL_H
#define _GPXE_GDBSERIAL_H

/** @file
 *
 * GDB remote debugging over serial
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

struct gdb_transport;

/**
 * Set up the serial transport
 *
 * @ret transport suitable for starting the GDB stub or NULL on error
 */
struct gdb_transport *gdbserial_configure ( void );

#endif /* _GPXE_GDBSERIAL_H */
