/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _PNPBIOS_H
#define _PNPBIOS_H

/** @file
 *
 * PnP BIOS
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/* BIOS segment address */
#define BIOS_SEG 0xf000

extern int find_pnp_bios ( void );

#endif /* _PNPBIOS_H */
