/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 */
#ifndef _USR_AUTOBOOT_H
#define _USR_AUTOBOOT_H

#include "gpxe/in.h"

/** @file
 *
 * Automatic booting
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/in.h>

extern int autoboot ( void );
extern int boot_root_path ( const char *root_path );
struct in_addr;
extern int boot_next_server_and_filename ( struct in_addr  next_server,
                                           const char *filename );
extern int sf_autoboot ( void );

#endif /* _USR_AUTOBOOT_H */
